package com.ruoyi.reportManagement.dto;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 库存总账对象 t_whgenleg
 *
 * @author ruoyi
 * @date 2020-12-25
 */
public class TWarehousebill extends BaseEntity {

    private static final long serialVersionUID = 1L;


    /**
     * 应收应付 （货权方）
     */
    private Long fCorpId;

    /**
     *  收付
     */
    private String fSrcdc;


    /**
     *  库存总账 货权方 、 应收应付 （结算单位）
     */
    private Long fCorpIds;

    /**
     * 提单号
     */
    private String fMblno;

    /**
     * 业务类型(存汉字的，用来选择 产地 规格 品牌)
     */
    private Long fBusinessType;

    /**
     * 品牌
     */
    private String fMarks;

    /**
     * 货物品名,t_goods 中的no或 name，模糊查找选择后，存储f_id，显示name
     */
    private Long fGoodsid;

    /**
     * 库区,显示仓库 库位 库区
     */
    private Long fWarehouseLocationid;

    /**
     * 贸易方式,对应t_trademodels name
     */
    private Long fTrademodeids;

    public Long getfCorpIds() {
        return fCorpIds;
    }

    public void setfCorpIds(Long fCorpIds) {
        this.fCorpIds = fCorpIds;
    }

    public String getfMblno() {
        return fMblno;
    }

    public void setfMblno(String fMblno) {
        this.fMblno = fMblno;
    }

    public Long getfBusinessType() {
        return fBusinessType;
    }

    public void setfBusinessType(Long fBusinessType) {
        this.fBusinessType = fBusinessType;
    }

    public String getfMarks() {
        return fMarks;
    }

    public void setfMarks(String fMarks) {
        this.fMarks = fMarks;
    }

    public Long getfGoodsid() {
        return fGoodsid;
    }

    public void setfGoodsid(Long fGoodsid) {
        this.fGoodsid = fGoodsid;
    }

    public Long getfWarehouseLocationid() {
        return fWarehouseLocationid;
    }

    public void setfWarehouseLocationid(Long fWarehouseLocationid) {
        this.fWarehouseLocationid = fWarehouseLocationid;
    }

    public Long getfTrademodeids() {
        return fTrademodeids;
    }

    public void setfTrademodeids(Long fTrademodeids) {
        this.fTrademodeids = fTrademodeids;
    }

    public Long getfCorpId() {
        return fCorpId;
    }

    public void setfCorpId(Long fCorpId) {
        this.fCorpId = fCorpId;
    }

    public String getfSrcdc() {
        return fSrcdc;
    }

    public void setfSrcdc(String fSrcdc) {
        this.fSrcdc = fSrcdc;
    }

}

